/**
 */
var document = new HTMLDocument();
/**
 * @returns {undefined}
 * @static
 */
document.registerContentHandler = function() {};

/**
 * @returns {String}
 * @static
 */
document.designMode;

/**
 * @syntax var xpathResult = document.evaluate(xpathExpression, contextNode, namespaceResolver, resultType, result);
 * @param {String} xpathExpression
 * @param {Node} contextNode
 * @param {String} namespaceResolver
 * @param {Number} resultType
 * @param {XPathResult} result
 * @returns {XPathResult}
 * @static
 */
document.evaluate = function(xpathExpression,  contextNode,  namespaceResolver,  resultType,  result) {};

/**
 * @returns {HTMLCollection}
 * @static
 */
document.plugins;

/**
 * @returns {Location}
 * @static
 */
document.location;

/**
 * @syntax target.addEventListener(type, listener[, useCapture]);<br>target.addEventListener(type, listener[, useCapture, aWantsUntrusted); // Gecko/Mozilla only
 * @param {String} type
 * @param {Function} listener
 * @returns {Boolean}
 * @static
 */
document.addEventListener = function(type,  listener) {};

/**
 * @returns {String}
 * @static
 */
document.compatMode;

/**
 * @syntax nsResolver = document.createNSResolver(node);
 * @param {Node} node
 * @returns {XPathNSResolver}
 * @static
 */
document.createNSResolver = function(node) {};

/**
 * @returns {Node|Object}
 * @static
 */
document.tooltipNode;

/**
 * @returns {NodeList}
 * @static
 */
document.querySelectorAll = function() {};

/**
 * @returns {HTMLCollection}
 * @static
 */
document.embeds;

/**
 * @returns {String}
 * @static
 */
document.contentType;

/**
 * @syntax focused = document.hasFocus();
 * @returns {Boolean}
 * @static
 */
document.hasFocus = function() {};

/**
 * @returns {Window}
 * @static
 */
document.defaultView;

/**
 * @returns {Node}
 * @static
 */
document.popupNode;

/**
 * @returns {HTMLCollection}
 * @static
 */
document.scripts;

/**
 * @syntax elements = document.getElementsByClassName(names);<br>elements = rootElement.getElementsByClassName(names); 
 * @param {String} names
 * @returns {NodeList}
 * @static
 */
document.getElementsByClassName = function(names) {};

/**
 * @returns {Element}
 * @static
 */
document.querySelector = function() {};

/**
 * @returns {String}
 * @static
 */
document.dir;

/**
 * @returns {Element}
 * @static
 */
document.activeElement;

/**
 * @returns {HTMLHeadElement}
 * @static
 */
document.head;

/**
 * @returns {undefined}
 * @static
 */
document.releaseCapture = function() {};

/**
 * @returns {String}
 * @static
 */
document.lastModified;

/**
 * @returns {String}
 * @static
 */
document.characterSet;

/**
 * @syntax xpathExpr = document.createExpression(xpathText, namespaceURLMapper);
 * @param {String} xpathText
 * @param {Function} namespaceURLMapper
 * @returns {String}
 * @static
 */
document.createExpression = function(xpathText,  namespaceURLMapper) {};

/**
 * @returns {String}
 * @static
 */
document.readyState;

/**
 * @syntax var element = document.elementFromPoint(x, y);
 * @param {Number} x
 * @param {Number} y
 * @returns {Element}
 * @static
 */
document.elementFromPoint = function(x,  y) {};

/**
 * @returns {undefined}
 * @static
 */
document.registerProtocolHandler = function() {};

/**
 * @returns {undefined}
 * @static
 */
document.async;

/**
 * @syntax range = document.createRange();
 * @returns {Range}
 * @static
 */
document.createRange = function() {};

/**
 * @syntax var event = document.createEvent(type);
 * @param {String} type
 * @returns {Event}
 * @static
 */
document.createEvent = function(type) {};

/**
 * @syntax var isSupported = document.queryCommandSupported(command);
 * @param {String} command
 * @returns {Boolean}
 * @static
 */
document.queryCommandSupported = function(command) {};

/**
 * @returns {Selection}
 * @static
 */
document.getSelection = function() {};

/**
 * @returns {undefined}
 * @static
 */
document.load = function() {};

/**
 * @returns {StyleSheetList}
 * @static
 */
document.styleSheets;

/**
 * @syntax var treeWalker = document.createTreeWalker(root, whatToShow, filter, entityReferenceExpansion);
 * @param {Node} root
 * @param {Number} whatToShow
 * @param {Number} filter
 * @param {String} entityReferenceExpansion
 * @returns {TreeWalker}
 * @static
 */
document.createTreeWalker = function(root,  whatToShow,  filter,  entityReferenceExpansion) {};

/**
 * Represents the document prototype object.
 * @syntax document.prototype
 * @static
 */
document.prototype = new HTMLDocument();

